#ifndef RANDOM_H
#define RANDOM_H

class Random final {
public:
    Random(int seed);
    Random();

    int next();
    int next(int min, int inclusiveMax);
    float nextFloat();
    float nextFloat(float min, float exclusiveMax);

private:
    constexpr static int N = 25;
    constexpr static int M = 7;
    
    void update();

    int data[N];
    int index;
};

#endif